NodelList needs to track administrative list
2011-11-02 17:13 - Robert Waltz

Status: Rejected Start date: 2014-12-01
Priority: Normal Due date: 2014-12-01
Assignee: Robert Waltz % Done: 0%
Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version:

Story Points:

Description

Nodelist will need to be maintained by subjects in the system. We do not have a mechanism to restrict who is able to modify a node
list once it has been created.

Related issues:
Related to Infrastructure - Task #1757: Implement CNRegister.updateNodeCapabi... Closed 2011-08-31

History

#1-2011-11-02 17:14 - Robert Waltz
- Target version set to Sprint-2011.45-Block.6

#2 - 2011-11-15 18:03 - Robert Waltz
- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

- Position set to 2

#3 - 2011-11-28 18:45 - Ben Leinfelder

Initially only subjects in the Node's Subject list should be able to update the node. This essentially means the update call should come directly from
the MN.

#4 - 2011-11-28 20:01 - Dave Vieglais

- Position set to 2

- Target version deleted (Sprint-2011.46-Block.6)
- Position deleted (18)

#5 - 2011-11-29 16:53 - Robert Waltz

May want this to be separate from node list. Anyone can add their own subject to the node list, call updateNodeCapabilities, and since their subject
will equal the subject in the updated node list, then they will have control over the node.

Administrators of nodes should go through an approval process, similarly to the way Nodes will be approved.
Should the SubjectList on the Node be updated determined by the subjects present on the node? Seems like an easy way to lose control over the

node for a while. So, if a subject needs to change because the former subject has been disabled/changed, our current functionality relies on the new
subject equaling the subject in the cert. So, literally anyone who is a valid user can make themselves a subject of a nodelist and control of that node.

#6 - 2012-01-06 04:03 - Dave Vieglais
- Position setto 3

- Position deleted (32)
#7 - 2012-01-06 16:12 - Robert Waltz

Decided this would not be a part of nodeList. rather it will be a property of the LDAP D1Node structure not revealed through the nodelist but managed
via the elusive cn administration webpage.

#8 - 2012-06-19 20:07 - Robert Waltz
- Milestone changed from CCI-1.0.0 to CCI-1.2

#9 - 2014-06-30 22:31 - Robert Waltz

- translation missing: en.field_remaining_hours set to 0.0
- Milestone changed from CCI-1.2 to CCl-2.0

- Start date deleted (2011-11-02)

#10 - 2014-07-30 03:07 - Robert Waltz
- Milestone changed from CCI-2.0 to None

#11 - 2014-10-01 16:58 - Robert Waltz
- Due date set to 2014-12-01

- Target version set to CCI-2.0.0
- Start date set to 2014-12-01

#12 - 2015-06-16 15:11 - Dave Vieglais
- Target version changed from CCI-2.0.0 to CCI-2.0-TRUNK

#13 - 2015-07-01 16:22 - Dave Vieglais
- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

#14 - 2015-07-01 16:43 - Dave Vieglais

Is this an issue for MN authorization or related to CN adminsitration?

#15 - 2015-07-01 16:43 - Dave Vieglais
- Target version changed from CCI-2.0.0 to Release Backlog

#16 - 2015-10-15 19:55 - Robert Waltz

- Status changed from New to Rejected

appears this idea was rejected for v2.

#17 - 2016-08-10 21:05 - Robert Waltz

- Target version deleted (Release Backlog)
